[iwl*] NetworkManager/wicd fail to authenticate to WPA Enterprise networks

Bug #263963 reported by Fernando Miguel on 2008-09-02
184
This bug affects 19 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Unassigned
Nominated for Intrepid by Tom Chiverton
Nominated for Jaunty by Kash Pande
network-manager (Ubuntu)
Undecided
Unassigned
Nominated for Intrepid by Tom Chiverton
Nominated for Jaunty by Kash Pande
wpasupplicant (Ubuntu)
Undecided
Unassigned
Nominated for Intrepid by Tom Chiverton
Nominated for Jaunty by Kash Pande

Bug Description

Binary package hint: network-manager

NM Version: 0.7~~svn20080818t061112+eni0-0ubuntu1
wpasuplicant Version: 0.6.4-1
Linux blubug 2.6.27-1-generic #1 SMP Sat Aug 23 23:19:01 UTC 2008 x86_64 GNU/Linux

When trying to connect to WPA/WPA2, NM keeps asking for the password.

Test packages: http://launchpad.net/~network-manager/+archive

Aug 29 15:55:52 blubug hal-ipw-killswitch-linux: error: org.freedesktop.Hal.NoSuchProperty: No property net.interface on device with id /org/freedesktop/Hal/devices/pci_8086_4229_logicaldev_input
Aug 29 15:55:52 blubug NetworkManager: <WARN> killswitch_getpower_reply(): Error getting killswitch power: process 11693: arguments to dbus_move_error() were incorrect, assertion "(dest) == NULL || !dbus_error_is_set ((dest))" failed in file dbus-errors.c line 278. This is normally a bug in some application using the D-Bus library..
Aug 29 15:55:53 blubug NetworkManager: <WARN> nm_device_wifi_set_enabled(): not in expected unavailable state!
Aug 29 15:55:53 blubug NetworkManager: <info> (wlan2): bringing up device.
Aug 29 15:55:53 blubug klogd: [ 1252.976158] ACPI: PCI Interrupt 0000:04:00.0[A] -> GSI 18 (level, low) -> IRQ 18
Aug 29 15:55:53 blubug klogd: [ 1252.976158] iwl4965: Radio disabled by HW RF Kill switch
Aug 29 15:55:53 blubug NetworkManager: <WARN> nm_device_hw_bring_up(): (wlan2): device not up after timeout!
Aug 29 15:55:58 blubug hal-ipw-killswitch-linux: error: org.freedesktop.Hal.NoSuchProperty: No property net.interface on device with id /org/freedesktop/Hal/devices/pci_8086_4229_logicaldev_input
Aug 29 15:55:58 blubug NetworkManager: <WARN> killswitch_getpower_reply(): Error getting killswitch power: process 11697: arguments to dbus_move_error() were incorrect, assertion "(dest) == NULL || !dbus_error_is_set ((dest))" failed in file dbus-errors.c line 278. This is normally a bug in some application using the D-Bus library..
Aug 29 15:56:04 blubug hal-ipw-killswitch-linux: error: org.freedesktop.Hal.NoSuchProperty: No property net.interface on device with id /org/freedesktop/Hal/devices/pci_8086_4229_logicaldev_input
Aug 29 15:56:04 blubug NetworkManager: <WARN> killswitch_getpower_reply(): Error getting killswitch power: process 11701: arguments to dbus_move_error() were incorrect, assertion "(dest) == NULL || !dbus_error_is_set ((dest))" failed in file dbus-errors.c line 278. This is normally a bug in some application using the D-Bus library..

BUGabundo <email address hidden> writes:

> Aug 29 15:55:53 blubug klogd: [ 1252.976158] iwl4965: Radio disabled by HW RF Kill switch

Try enabling radio with your hardware kill switch
--
Gruesse/greetings,
Reinhard Tartler, KeyID 945348A4

definitly not a wpasupplicant problem.

Changed in wpasupplicant:
status: New → Invalid

It would be great if I had an option to turn the RF kill switch off, but I dont.
Pressing FN+F2 doesnt do anything.

I'm some times capable of authenticating, but its just by luck. Depends on the way it boots up.
Before kernel 2.6.27 it was easier, but on .27 it aint that easy.

1 comments hidden view all 130 comments

To complement about my RF kill switch, I'm affected by #105420
https://bugs.launchpad.net/bugs/105420

--
BUGabundo :o)
(``-_-´´) http://LinuxNoDEI.BUGabundo.net
Linux user #443786 GPG key 1024D/A1784EBB
My new micro-blog @ http://BUGabundo.net

please attach your complete syslog taken after reproducing. also attach your /etc/network/interfaces.

Changed in network-manager:
status: New → Incomplete

On Sunday 07 September 2008 01:04:33 Alexander Sack wrote:
> please attach your complete syslog taken after reproducing.

I've attached yesterdays FULL log (from boot to halt) where I tried several times to connect to a WPA protected WiFi network and failed.

> also attach your /etc/network/interfaces.
$ cat /etc/network/interfaces
auto lo
iface lo inet loopback

-----------------------------------------------
There were all those empty lines from the cat.

 status new
--
BUGabundo :o)
(``-_-´´) http://LinuxNoDEI.BUGabundo.net
Linux user #443786 GPG key 1024D/A1784EBB
My new micro-blog @ http://BUGabundo.net

Changed in network-manager:
status: Incomplete → New

please attach the syslog taken _after_ reproducing this (not after halt). Please attach it as a file and not as tar.gz

Changed in network-manager:
status: New → Incomplete
Alexander Sack (asac) wrote :

and please dont try multiple times. boot, try once, take the syslog and attach it. Thanks!

Dan Taylor (slash) wrote :

I'm having the same issue with my senao NL-2511CD card using the hostap drivers

Here's my /etc/network/interfaces:

# This file describes the network interfaces available on your system
# and how to activate them. For more information, see interfaces(5).

# The loopback network interface
auto lo
iface lo inet loopback

auto tap0
iface tap0 inet dhcp

Dan Taylor (slash) wrote :

This might be a little more helpful

Dan Taylor (slash) wrote :

Another important thing, this seems to be an issue with the introduction of the 2.6.27 kernel.
I can authenticate just fine if I boot with the 2.6.26 or 2.6.25 kernel images.

Reinhard Tartler (siretart) wrote :

Dan, it might be very well possible that you experience another bug. please file a new bug with details about your hardware.

FWIW, intrepid with wpa2 works for me just fine on intel wireless 3945ABG

Reinhard I tested 3 diferent WPA (not WPA2) networks, and suffered the mention symptoms of this bug and the quasi-dupe #260656.

All with kernel 2.6.27.

With 2.6.25 it was (FINALLY) working after I replaced my faulty intel wifi card.

If I have the time, I'll make tests with the PPA NM and WPA vs WPA2 networks and post back.

1 comments hidden view all 130 comments

BUGabundo <email address hidden> writes:

> With 2.6.25 it was (FINALLY) working after I replaced my faulty intel
> wifi card.

so you needed to replace defective hardware? How does the new hardware
behave with 2.6.27?

--
Gruesse/greetings,
Reinhard Tartler, KeyID 945348A4

> so you needed to replace defective hardware? How does the new hardware behave with 2.6.27?

It was replace BEFORE 2.6.27 come out.
It worked with older versions of NM and kernel 2.6.25
Once I upgrade I couldnt logon to any Open or WPA protected network anymore.

--
BUGabundo :o)
(``-_-´´) http://LinuxNoDEI.BUGabundo.net
Linux user #443786 GPG key 1024D/A1784EBB
My new micro-blog @ http://BUGabundo.net

one thing I noticed is that I have no key schema for NM on gconf-editor

it looks like https://bugs.launchpad.net/ubuntu/+source/gnome-power-manager/+bug/242665

Alex I've attached two logs:
one from my system trying once to connect to a wpa network;
one from a daily LiveDVD from 13/09/2008 to the same network.

--
BUGabundo :o)
(``-_-´´) http://LinuxNoDEI.BUGabundo.net
Linux user #443786 GPG key 1024D/A1784EBB
My new micro-blog @ http://BUGabundo.net

Reinhard Tartler (siretart) wrote :

the screenshots indicate that you have disabled wireless in nm-applet. To me it looks either like a user/usage problem, or a bug in the rfkill switch functionality.

For wpasupplicant, I don't see anything to do here. for NM, I'm not sure. In any case, please try updating the bug description to make the actual problem clearer. TBH, I'm very much inclined to just mark this bug as duplicate of bug #105420.

Reinhard I guess that when I took that screenshot I might have had my wifi turned of by NM, to save my some battery.
And yes, I cant make use of my kill switch.
Either pressing the wifi button or FN+F2 with not be caught and no syslog entrie is recorded.
at least with older kernel versions syslog showed something, but back then I had a faulty wifi card. (either that, or the tech guy running Vista once on it, activated something in the BIOS that made it work.)

Changed in network-manager:
status: Incomplete → New

root@:# cat /sys/bus/pci/drivers/iwlagn/0000\:04\:00.0/rfkill\:rfkill0/state
2

From: http://www.linuxquestions.org/questions/mandriva-30/enable-the-rf-kill-switch-for-ipw2200-592920/#post2973195
rf_kill
read -
0 = RF kill not enabled (radio on)
1 = SW based RF kill active (radio off)
2 = HW based RF kill active (radio off)
3 = Both HW and SW RF kill active (radio off)
write -
0 = If SW based RF kill active, turn the radio back on
1 = If radio is on, activate SW based RF kill

Same problem here. But i even can't connect to access point without any encription.

Sep 28 16:13:38 xps-ubuntu NetworkManager: <info> Activation (wlan0/wireless): connection 'Coder' requires no security. No secrets needed.
Sep 28 16:13:38 xps-ubuntu NetworkManager: <info> Config: added 'ssid' value 'Coder'
Sep 28 16:13:38 xps-ubuntu NetworkManager: <info> Config: added 'scan_ssid' value '1'
Sep 28 16:13:38 xps-ubuntu NetworkManager: <info> Config: added 'key_mgmt' value 'NONE'
Sep 28 16:13:38 xps-ubuntu NetworkManager: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) complete.
Sep 28 16:13:38 xps-ubuntu NetworkManager: <info> (wlan0): supplicant connection state change: 2 -> 0
Sep 28 16:13:38 xps-ubuntu NetworkManager: <info> Config: set interface ap_scan to 1
Sep 28 16:13:38 xps-ubuntu NetworkManager: <info> (wlan0): supplicant connection state change: 0 -> 2
Sep 28 16:13:53 xps-ubuntu NetworkManager: <info> wlan0: link timed out.
Sep 28 16:14:03 xps-ubuntu NetworkManager: <info> Activation (wlan0/wireless): association took too long, failing activation.
Sep 28 16:14:03 xps-ubuntu NetworkManager: <info> (wlan0): device state change: 5 -> 9
Sep 28 16:14:03 xps-ubuntu NetworkManager: <info> Activation (wlan0) failed for access point (Coder)
Sep 28 16:14:03 xps-ubuntu NetworkManager: <info> Marking connection 'Coder' invalid.
Sep 28 16:14:03 xps-ubuntu NetworkManager: <info> Activation (wlan0) failed.
Sep 28 16:14:03 xps-ubuntu NetworkManager: <info> (wlan0): device state change: 9 -> 3
Sep 28 16:14:03 xps-ubuntu NetworkManager: <info> (wlan0): deactivating device.
Sep 28 16:14:03 xps-ubuntu kernel: [ 1608.937345] wlan0: authenticate with AP 00:19:cb:8c:ae:9f
Sep 28 16:14:03 xps-ubuntu kernel: [ 1609.136077] wlan0: authenticate with AP 00:19:cb:8c:ae:9f
Sep 28 16:14:03 xps-ubuntu kernel: [ 1609.336043] wlan0: authenticate with AP 00:19:cb:8c:ae:9f
Sep 28 16:14:04 xps-ubuntu kernel: [ 1609.536047] wlan0: authentication with AP 00:19:cb:8c:ae:9f timed out

Jussi Saarinen (jms) wrote :

Problem with WPA here too after I upgraded to intrepid today. Fresh syslog attached including some earlier struggling with this issue, after the latest boot I tried once to connect to ap.

Jussi Saarinen (jms) wrote :

I forget to give more spesific info:
After upgrading to intrepid I was unable to connect to my AP, so I created new wireless connection. But no luck for me, when I try to connect to AP nm-applet shows some spinning animation and after a while appears a dialog which asks a password for that AP, it won't help if I enter password in that dialog.

Jussi Saarinen (jms) wrote :

Update. I got another wireless AP for testing and managed connect to it using WPA without problems. So, in my case the problem was related somehow to my AP (dlink-624).

William Grant (wgrant) wrote :

Users confirm that reverting to an older kernel fixes it.

Changed in network-manager:
status: New → Invalid
Changed in linux:
importance: Undecided → High
status: New → Confirmed

How is it that an older kernel can be the solution?
$ uname -a
Linux blubug 2.6.27-6-generic #1 SMP Tue Oct 7 04:15:23 UTC 2008 x86_64 GNU/Linux

I have this kernel, and newer users on have other older kernel.

Currently I can connect to some wifi networks but it takes me several tries (all asking for password) until I can make it work

I have a similar issue. Using the same access point as under Hardy, Intrepid fails to authenticate to WPA2. I've tried using hidden and non-hidden ssid. I've also tried from both networkmanager and from wicd.

Forlong (forlong) wrote :

I have the same symptoms.
Network-Manager keeps asking for a password when trying to comnect to a WPA-encrypted SSID.

However, I found out it works when switching off encryption in my router or even using WEP.

syslog when trying to use WPA and working WEP connection attached.

cat /etc/network/interfaces
auto lo
iface lo inet loopback

Forlong (forlong) wrote :
Julien Humbert (julroy67) wrote :

Having the same bug on my fresh install of intrepid with a WPA AP.

Michael Stempin (mstempin) wrote :

Same bug here with WPA.
Unencrypted connects just fine.

This is on a Dell XPS m1330 with Intel 4965.

syslog attached.

Julien Humbert (julroy67) wrote :

Adding my syslog for my intrepid with my Ralink 2860 chipset.

ybdjkfd (ybdjkfd) wrote :

I looked over logs for my username in our Radius server and found that my "username or password" was incorrect. I tried to log in to the setup from another computer, and it worked fine. I changed my password just in case from another computer.

I then tried to login again from my computer with the new password. Of interest to you may be that on Intrepid Ibex, using nm-applet, it realted in there:

Oct 22 16:40:21 [hostname] NetworkManager: <info> Config: added 'password' value '<omitted>'

However, I did not omit my password in the GUI.

Somehow it appears to be losing the password I believe.

Dell Studio 1535, Dell 1397 Wireless card (BCM4312 802.11b/g), WPA2, PEAP, with MSCHAPV2 (Version 0 or 1 made no difference), with ndiswrapper+bcmwl5. I am able to connect to other wireless networks, and was able to connect even with the wl driver in Hardy. However, after upgrading to Ibex WPA2 does not work, and the wl driver does not activate my card like ndiswrapper.

I tried again with the release candidate of Intrepid, and still no WPA2. It throws away my password and fills the password box with a lot more characters than were ever in my password to begin with when the re-enter the password dialog appears. Fixing the password in the box doesn't help anything. I agree with mistryous, it somehow loses the password. I even tried upgrading my Hardy box (with working WPA2 on a connection that has the password saved) to Intrepid RC and it still popped up the same empty password box as on a fresh install.

litemotiv (nospam-capstone) wrote :

Michael Stempin wrote on 2008-10-22:

Same bug here with WPA.
Unencrypted connects just fine.

This is on a Dell XPS m1330 with Intel 4965.

---

Confirmed here with the same laptop model (Dell m1330), syslog looks similar so won't attach another until further info is requested.

Linux is regression *king*, i'm expecting my hda intel to stop working again too within a few updates.

(you can safely ignore that last line)

Michael Stempin (mstempin) wrote :

I got it working.

I changed the WPA-key in my router.
After that everything worked fine.

I have no clue why it did not work with the old one. I more than triple checked it.
Also it did not work with an upgraded 8.04 machine where the WPA-key must have been correct.

Anyway, try setting a new WPA-key in your router. Maybe it works for you too.

Garfield (kiddyfurby) wrote :

Intrepid keep asking for WPA2 passpharse, when connecting to my Fon+ router, running firmware 1.1.2 r1
I figured that if I stop the avahi-daemon, things work properly!

The avahi-daemon seems to fire packets before DHCP address is obtained, which confuses certain routers.

So, give it a try if you have problem with WPA2:
sudo /etc/init.d/avahi-daemon stop

Alexander Sack (asac) on 2008-11-02
description: updated
50 comments hidden view all 130 comments

Just followed the instructions from the thread juanhm posted and my wireless is now working on one of my effected laptops (the one I'm using now!)
As soon as I deleted the erroneous entries from within Gconf-editor the wireless connection immediately connected :-)

Alexander Sack (asac) wrote :

even though this bug is about driver issues, please check whether latest NM PPA packages (0.7 final) https://edge.launchpad.net/~network-manager/+archive work around more cases where your driver takes too long.

Note that currently nm and nm applet (as well as a respin of gnome-main-menu) are upgraded for jaunty and intrepid in the PPA ... VPN plugins will follow the other day.

Installed. Reboot.
No effect - still get several rounds of:
CTRL-EVENT-DISCONNECTED - Disconnect event - remove keys
CTRL-EVENT-DISCONNECTED - Disconnect event - remove keys
Associated with 00:18:39:8a:8c:35
Authentication with 00:18:39:8a:8c:35 timed out.
before it connects.

I've made the mods given on the linked forum thread, and it appears to have helped, but connecting to WPA2 is still more of a problem than WPA1 networks.

steve. (launchpad-coles) wrote :

Using gconf-editor to remove the ccmp entries worked for me too. :)

http://ubuntuforums.org/showthread.php?t=1010650

This is the first time I've been able to connect to wpa enterprise with tkip in Intrepid :)

On all the notebooks I've tried wpa enterprise with tkip was working perfectly under Hardy but failed under Intrepid.

Yotam Benshalom (benshalom) wrote :

On lg-s1 laptop, using iwl3945, I cannot connect to wpa networks using network manager (waiting, than asking for password again). Using wicd works fine.
I will be happy to supply more data if needed.

Xavier Sala (utrescu-gmail) wrote :

Something does not work well in NetworkManager.

I have solved my Problems with WPA connections switching from NetworkManager to WiCD (NM PPA packages only worked randomly in my laptops). With WICD also Eduroam connections worked (creating the template).

Tested with 3 computers with iwl3945 and iwl2200

Download full text (28.9 KiB)

Wicd doesn't do anything differnet for me - it assocs., times out, repeats many times and then works. iwl3945 driver.

falken@wopr:~$ tail -f /var/log/wpa_supplicant.log /var/log/messages /var/log/wicd/*
==> /var/log/wpa_supplicant.log <==

==> /var/log/messages <==
Jan 21 19:43:06 wopr kernel: [ 465.562596] Registered led device: iwl-phy0:radio
Jan 21 19:43:06 wopr kernel: [ 465.564715] Registered led device: iwl-phy0:assoc
Jan 21 19:43:06 wopr kernel: [ 465.564767] Registered led device: iwl-phy0:RX
Jan 21 19:43:06 wopr kernel: [ 465.564801] Registered led device: iwl-phy0:TX
Jan 21 19:43:07 wopr kernel: [ 465.839500] iwl3945 0000:0b:00.0: PCI INT A disabled
Jan 21 19:43:07 wopr kernel: [ 466.013975] iwl3945 0000:0b:00.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
Jan 21 19:43:07 wopr kernel: [ 466.071939] Registered led device: iwl-phy0:radio
Jan 21 19:43:07 wopr kernel: [ 466.072606] Registered led device: iwl-phy0:assoc
Jan 21 19:43:07 wopr kernel: [ 466.072952] Registered led device: iwl-phy0:RX
Jan 21 19:43:07 wopr kernel: [ 466.073418] Registered led device: iwl-phy0:TX
tail: cannot open `/var/log/wicd/*' for reading: No such file or directory
^C
falken@wopr:~$ su -
Password:
sudpo su: Authentication failure
falken@wopr:~$ sudo -i
[sudo] password for falken:
root@wopr:~# tail -f /var/log/wpa_supplicant.log /var/log/messages /var/log/wicd/*
==> /var/log/wpa_supplicant.log <==

==> /var/log/messages <==
Jan 21 19:43:06 wopr kernel: [ 465.562596] Registered led device: iwl-phy0:radio
Jan 21 19:43:06 wopr kernel: [ 465.564715] Registered led device: iwl-phy0:assoc
Jan 21 19:43:06 wopr kernel: [ 465.564767] Registered led device: iwl-phy0:RX
Jan 21 19:43:06 wopr kernel: [ 465.564801] Registered led device: iwl-phy0:TX
Jan 21 19:43:07 wopr kernel: [ 465.839500] iwl3945 0000:0b:00.0: PCI INT A disabled
Jan 21 19:43:07 wopr kernel: [ 466.013975] iwl3945 0000:0b:00.0: PCI INT A -> GSI 17...

@Kash: When you say 'Same here' do you mean wicd displays the same symptoms as NetworkManager, or that installing wicd appears to fix things ?

Download full text (3.3 KiB)

wicd displays the same symptoms. It works fine with a WPA2 Personal network,
but fails miserably with WPA-Enterprise (PEAP and MSCHAPv2 (?))

On Wed, Jan 21, 2009 at 4:45 PM, Tom Chiverton <bugs.launchpad.net@
falkensweb.com> wrote:

> @Kash: When you say 'Same here' do you mean wicd displays the same
> symptoms as NetworkManager, or that installing wicd appears to fix
> things ?
>
> --
> [iwl*] intel drivers take overly long to associate to WPA for some hardware
> https://bugs.launchpad.net/bugs/263963
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in "linux" source package in Ubuntu: Confirmed
> Status in "network-manager" source package in Ubuntu: Invalid
> Status in "wpasupplicant" source package in Ubuntu: Invalid
>
> Bug description:
> Binary package hint: network-manager
>
> NM Version: 0.7~~svn20080818t061112+eni0-0ubuntu1
> wpasuplicant Version: 0.6.4-1
> Linux blubug 2.6.27-1-generic #1 SMP Sat Aug 23 23:19:01 UTC 2008 x86_64
> GNU/Linux
>
> When trying to connect to WPA/WPA2, NM keeps asking for the password.
>
> Test packages: http://launchpad.net/~network-manager/+archive<http://launchpad.net/%7Enetwork-manager/+archive>
>
> Aug 29 15:55:52 blubug hal-ipw-killswitch-linux: error:
> org.freedesktop.Hal.NoSuchProperty: No property net.interface on device with
> id /org/freedesktop/Hal/devices/pci_8086_4229_logicaldev_input
> Aug 29 15:55:52 blubug NetworkManager: <WARN> killswitch_getpower_reply():
> Error getting killswitch power: process 11693: arguments to
> dbus_move_error() were incorrect, assertion "(dest) == NULL ||
> !dbus_error_is_set ((dest))" failed in file dbus-errors.c line 278. This
> is normally a bug in some application using the D-Bus library..
> Aug 29 15:55:53 blubug NetworkManager: <WARN>
> nm_device_wifi_set_enabled(): not in expected unavailable state!
> Aug 29 15:55:53 blubug NetworkManager: <info> (wlan2): bringing up device.
> Aug 29 15:55:53 blubug klogd: [ 1252.976158] ACPI: PCI Interrupt
> 0000:04:00.0[A] -> GSI 18 (level, low) -> IRQ 18
> Aug 29 15:55:53 blubug klogd: [ 1252.976158] iwl4965: Radio disabled by HW
> RF Kill switch
> Aug 29 15:55:53 blubug NetworkManager: <WARN> nm_device_hw_bring_up():
> (wlan2): device not up after timeout!
> Aug 29 15:55:58 blubug hal-ipw-killswitch-linux: error:
> org.freedesktop.Hal.NoSuchProperty: No property net.interface on device with
> id /org/freedesktop/Hal/devices/pci_8086_4229_logicaldev_input
> Aug 29 15:55:58 blubug NetworkManager: <WARN> killswitch_getpower_reply():
> Error getting killswitch power: process 11697: arguments to
> dbus_move_error() were incorrect, assertion "(dest) == NULL ||
> !dbus_error_is_set ((dest))" failed in file dbus-errors.c line 278. This
> is normally a bug in some application using the D-Bus library..
> Aug 29 15:56:04 blubug hal-ipw-killswitch-linux: error:
> org.freedesktop.Hal.NoSuchProperty: No property net.interface on device with
> id /org/freedesktop/Hal/devices/pci_8086_4229_logicaldev_input
> Aug 29 15:56:04 blubug NetworkManager: <WARN> killswitch_getpower_reply():
> Error getting killswitch power: process 11701: arguments to
> dbus_move_error() were incorrec...

Read more...

I too am having problems connecting to a WPA Enterprise network at my college. I have tried with bot NetworkManager & wicd with no success.

> I too am having problems connecting to a WPA Enterprise network at my
> college. I have tried with bot NetworkManager & wicd with no success.
>
>
Yes, this is a major problem, and nothing much is being done about it. I
was able to get WPA Enterprise working on Hardy when it failed to work
on Intrepid previously, but now even Hardy fails..

ronny (ronny-standtke) wrote :
Download full text (4.0 KiB)

I have a HP Elitebook 2730p. lspci shows my WLAN adapter as follows:

02:00.0 Network controller: Intel Corporation PRO/Wireless 5100 AGN [Shiloh] Network Connection

When I am at home (WPA2) everything works perfect. But when I am at work (WEP 128 with shared key), I never get a working connection. The strange thing is that all my other machines at work (all running Ubuntu 8.10 but all with a different WLAN adapter) get a connection without any problem. Therefore my guess is that something is broken in the iwlagn driver that does not like WEP or shared keys. But I am no expert here at all. Here are some more details about the machine where the connection fails:

Here is the output of iwconfig:
wlan0 IEEE 802.11abgn ESSID:""
          Mode:Managed Frequency:2.462 GHz Access Point: Not-Associated
          Tx-Power=15 dBm
          Retry min limit:7 RTS thr:off Fragment thr=2352 B
          Power Management:off
          Link Quality:0 Signal level:0 Noise level:0
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:0 Invalid misc:0 Missed beacon:0

Here is the output of iwlist scan:
wlan0 Scan completed :
          Cell 01 - Address: 00:11:92:EE:62:A0
                    ESSID:""
                    Mode:Master
                    Channel:11
                    Frequency:2.462 GHz (Channel 11)
                    Quality=96/100 Signal level:-32 dBm Noise level=-127 dBm
                    Encryption key:on
                    Bit Rates:1 Mb/s; 2 Mb/s; 5.5 Mb/s; 6 Mb/s; 9 Mb/s
                              11 Mb/s; 12 Mb/s; 18 Mb/s; 24 Mb/s; 36 Mb/s
                              48 Mb/s; 54 Mb/s
                    Extra:tsf=00000c42cb7b618f
                    Extra: Last beacon: 24ms ago

When I kill nm-applet and start it from the command line, I get the following console output after the connection failed:
** Message: <info> New secrets for PFHSO_PWLAN/802-11-wireless-security requested; ask the user

dmesg shows the following lines:
[ 150.885106] wlan0: authenticate with AP 00:11:92:ee:62:a0
[ 151.084108] wlan0: authenticate with AP 00:11:92:ee:62:a0
[ 151.284312] wlan0: authenticate with AP 00:11:92:ee:62:a0
[ 151.484145] wlan0: authentication with AP 00:11:92:ee:62:a0 timed out
[ 160.896064] iwlagn: index 0 not used in uCode key table.
[ 167.673256] wlan0: authenticate with AP 00:11:92:ee:62:a0
[ 167.872305] wlan0: authenticate with AP 00:11:92:ee:62:a0
[ 168.072054] wlan0: authenticate with AP 00:11:92:ee:62:a0
[ 168.272302] wlan0: authentication with AP 00:11:92:ee:62:a0 timed out
[ 177.684041] wlan0: authenticate with AP 00:11:92:ee:62:a0
[ 177.688083] iwlagn: index 0 not used in uCode key table.
[ 177.884304] wlan0: authenticate with AP 00:11:92:ee:62:a0
[ 178.084310] wlan0: authenticate with AP 00:11:92:ee:62:a0
[ 178.284307] wlan0: authentication with AP 00:11:92:ee:62:a0 timed out
[ 194.442731] wlan0: authenticate with AP 00:11:92:ee:62:a0
[ 194.640149] wlan0: authenticate with AP 00:11:92:ee:62:a0
[ 194.840310] wlan0: authenticate with AP 00:11:92:ee:62:a0
[ 195.040318] wlan0: authentication with AP 00:11:92:ee:62:a0 timed out

Here ...

Read more...

Julien Sorel (paradirc) wrote :

I used alternatively 'wl' and 'ndiswrapper'. I can connect to & use open networks in both cases.

For WPA networks, however, there are problems in both cases:

  -- With 'wl', the connection to a WPA network can be made but is not usable because it breaks quickly. This is described by https://bugs.launchpad.net/bugs/293869. Because of an other (crash) bug (https://bugs.launchpad.net/bugs/296578), I blacklisted 'wl' and replaced it by 'ndiswrapper'.

  -- With 'ndiswrapper', I have the problem described here: network-manager tries to connect, asks me for the password, tries to connect, asks me for the password again... No more success with wicd.

As you can see, no way to use WPA networks because of two different (?) bugs. I don't know if there is a link between them, if they share the same (or similar) causes so... I talked about both and let you decide.

Scott Ringwelski (sgringwe) wrote :

Any progress on this bug?

I also am on an intrepid install with problems connecting to a lynksis router on a home WPA-Personal Network.

I've tried the gconf-editor instruction to edit the values. (<a href="http://ubuntuforums.org/showthread.php?t=1010650">here</a>)

I've also tried using wcid instead, hangs just as much.

Can i expect an update BEFORE jaunty?

I don't know about the rest of you, but for me, the functionality of wireless internet is VERY important. What if we our at a university and can't mess with the router? No internet in my mind = pointless computer. Afterall, how are we supposed to get anything useful on our ubuntu install if we don't have internet? Even worse, how can we upgrade our network manager to fix this bug in the first place?

I thought this was the OS that "Just works"....

Some specs:

Dell inspiron 1525
Dell Wireless 1395 WLAN Mini-Card Wireless Network Adaptor

As far as i can tell, the problem is that whenever i attempt to connect using network-manager-gnome, it changes values in what i want to say is the registry, but that sounds like windows. ( the values edited by gconf-editor)

Thank you for any responses.

Download full text (4.3 KiB)

Er, this bug is wrt WPA Enterprise. If you cannot connect to a
personal network, your drivers are borked.. Personal worked fine for
me the whole time.

On 16-Feb-09, at 9:30 PM, "Scott R." <email address hidden> wrote:

> Any progress on this bug?
>
> I also am on an intrepid install with problems connecting to a lynksis
> router on a home WPA-Personal Network.
>
> I've tried the gconf-editor instruction to edit the values. (<a
> href="http://ubuntuforums.org/showthread.php?t=1010650">here</a>)
>
> I've also tried using wcid instead, hangs just as much.
>
> Can i expect an update BEFORE jaunty?
>
> I don't know about the rest of you, but for me, the functionality of
> wireless internet is VERY important. What if we our at a university
> and
> can't mess with the router? No internet in my mind = pointless
> computer.
> Afterall, how are we supposed to get anything useful on our ubuntu
> install if we don't have internet? Even worse, how can we upgrade our
> network manager to fix this bug in the first place?
>
> I thought this was the OS that "Just works"....
>
> Some specs:
>
> Dell inspiron 1525
> Dell Wireless 1395 WLAN Mini-Card Wireless Network Adaptor
>
> As far as i can tell, the problem is that whenever i attempt to
> connect
> using network-manager-gnome, it changes values in what i want to say
> is
> the registry, but that sounds like windows. ( the values edited by
> gconf-editor)
>
> Thank you for any responses.
>
> --
> [iwl*] NetworkManager/wicd fail to authenticate to WPA Enterprise
> networks
> https://bugs.launchpad.net/bugs/263963
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” source package in Ubuntu: Confirmed
> Status in “network-manager” source package in Ubuntu: Invalid
> Status in “wpasupplicant” source package in Ubuntu: Invalid
>
> Bug description:
> Binary package hint: network-manager
>
> NM Version: 0.7~~svn20080818t061112+eni0-0ubuntu1
> wpasuplicant Version: 0.6.4-1
> Linux blubug 2.6.27-1-generic #1 SMP Sat Aug 23 23:19:01 UTC 2008
> x86_64 GNU/Linux
>
> When trying to connect to WPA/WPA2, NM keeps asking for the password.
>
> Test packages: http://launchpad.net/~network-manager/+archive
>
> Aug 29 15:55:52 blubug hal-ipw-killswitch-linux: error:
> org.freedesktop.Hal.NoSuchProperty: No property net.interface on
> device with id /org/freedesktop/Hal/devices/
> pci_8086_4229_logicaldev_input
> Aug 29 15:55:52 blubug NetworkManager: <WARN>
> killswitch_getpower_reply(): Error getting killswitch power: process
> 11693: arguments to dbus_move_error() were incorrect, assertion
> "(dest) == NULL || !dbus_error_is_set ((dest))" failed in file dbus-
> errors.c line 278. This is normally a bug in some application
> using the D-Bus library..
> Aug 29 15:55:53 blubug NetworkManager: <WARN>
> nm_device_wifi_set_enabled(): not in expected unavailable state!
> Aug 29 15:55:53 blubug NetworkManager: <info> (wlan2): bringing up
> device.
> Aug 29 15:55:53 blubug klogd: [ 1252.976158] ACPI: PCI Interrupt
> 0000:04:00.0[A] -> GSI 18 (level, low) -> IRQ 18
> Aug 29 15:55:53 blubug klogd: [ 1252.976158] iwl4965: Radio disabl...

Read more...

Julien Sorel (paradirc) wrote :

I have the same computer than Scott R. with the same wireless card. I confirm WPA-Personal networks do not work with that.

Also tried many things like the gconf-editor intructions above, wicd, driver replacement, kernel downgrade... Nothing worked.

I have a 1525, and connecting to WPA2 is hit and miss (though always eventually hits, and WPA1 was fine) too :-)
As far as I can tell from the actual bug on Intel's site, it's fixed in their code, and Ubuntu need to pull an update.

I have, unfortunately, no idea how to nudge things along.

Rich (stantonrj) wrote :

I'd just like to add that I see the same issues too - iwl3945, it all worked fine in hardy, but after doing a fresh install of intrepid I am unable to connect to my home wireless - WPA2, AES. I put in the password & nothing happens for a while, then eventually it prompts for a password again but the existing password is now a long alphanumerical string (hex??).

1 comments hidden view all 130 comments
Rich (stantonrj) wrote :

As a followon, I tried using wpa_supplicant & editing /etc/network/interfaces, and it all worked fine, so there's nothing inherently wrong with the router or linux, just NM. The key generated by wpa_passphrase was the same as appears in the NM password box after it's failed attempts.

Scott Ringwelski (sgringwe) wrote :

Does anyone know if this is fixed in Jaunty?

I tried live snapshot on monday (16th day) but unfortunately WPA2 was still broken. Connection with Buffalo Airstation works almost always but my "Wippies" homebox works more randomly. However, both routers are working with Gutsy and XP on a same laptop (w/ Intel chipset) and even my Nokia E91 connects easily to both routers.

Changed in network-manager:
status: Invalid → Incomplete
Ernst (ernst-blaauw) wrote :

To me it seems the latest kernel on Intrepid proposed (2.6.27-14-generic) solved the problem for me (I have the backports installed) and now I can connect without problems to the WPA2 PAP TTLS network on my university using my Intel iwl3945.

Julien Sorel (paradirc) wrote :

2.6.27-14-generic kernel doesn't solve the problem for me, but I don't have the same wireless card (I have a Broadcom one).

@Scott: Using Jaunty beta, I still have issues where
CTRL-EVENT-SCAN-RESULTS
Trying to associate with 00:18:39:8a:8c:35 (SSID='house_edge' freq=2422 MHz)
Associated with 00:18:39:8a:8c:35
CTRL-EVENT-DISCONNECTED - Disconnect event - remove keys
CTRL-EVENT-SCAN-RESULTS
Trying to associate with 00:18:39:8a:8c:35 (SSID='house_edge' freq=2422 MHz)
Associated with 00:18:39:8a:8c:35
Authentication with 00:18:39:8a:8c:35 timed out.
CTRL-EVENT-DISCONNECTED - Disconnect event - remove keys
CTRL-EVENT-SCAN-RESULTS
Trying to associate with 00:18:39:8a:8c:35 (SSID='house_edge' freq=2422 MHz)
Associated with 00:18:39:8a:8c:35
Authentication with 00:18:39:8a:8c:35 timed out.
CTRL-EVENT-DISCONNECTED - Disconnect event - remove keys

repeats over and over again untll in the end it works:
CTRL-EVENT-SCAN-RESULTS
Associated with 00:18:39:8a:8c:35
Authentication with 00:18:39:8a:8c:35 timed out.
CTRL-EVENT-DISCONNECTED - Disconnect event - remove keys
CTRL-EVENT-SCAN-RESULTS
Trying to associate with 00:18:39:8a:8c:35 (SSID='house_edge' freq=2422 MHz)
Associated with 00:18:39:8a:8c:35
WPA: Key negotiation completed with 00:18:39:8a:8c:35 [PTK=CCMP GTK=CCMP]
CTRL-EVENT-CONNECTED - Connection to 00:18:39:8a:8c:35 completed (auth) [id=0 id_str=]

iwl3945 driver, wpa2-psk network.

Ernst (ernst-blaauw) wrote :

The problem is maybe not solved: Today, I had some problems again. The network I log on to has a lot of routers (the network is available in the whole university), and on some places, the connection is dropped a lot faster than on other places. I mostly use the internet on two palces. One one, the connection is quite stable and on the other place, it is a disaster.

The network I use is called VU-Campusnet and has WPA2/PAP/TTLS security. Today, I found out that on the place where it is a disaster to connect, there is also another network available with the same name (VU-Campusnet), bit with a different security: it uses WEP. I cannot login onto that network, but is it possible this network is causing problems?

bmjames (bmjames) wrote :

I have been having the same symptoms (network-manager repeatedly asks for the password) since upgrading to 8.10

It seems to be a bug relating to WPA2.

If I disable WPA2 on my router, and enable only WPA, I am able to connect, however this means all my other wireless clients must now use WPA and thus suffer reduced speeds.

not sure its the same bug, but i'm failing to connect to some WPA2 networks too, now.
it was working last week.
Guess its a driver issue!?

Since the latest updates to the 9.04 beta, I seem to be able to connect first time (WPA2-PSK) rather than waiting minutes while it repeatedly times out and tries again.
Odd.

Scott Ringwelski (sgringwe) wrote :

Well that's good news! Can't wait until i've got time to steal some cafe's realllyyy slow internet and update ubuntu.

ybdjkfd (ybdjkfd) wrote :

Appears to work now in Ubuntu 9.04 as of April 21, 2009 updates. I was able to connect to the previous WPA2 networks I mentioned earlier with the same settings.

Ernst (ernst-blaauw) wrote :

At the moment, on Jaunty 32-bit, all repo's enabled, I can connect on every place at my university. However, after 15 minutes or so, the connection is dropped and I have to manually select the wireless network again.

Using wpa_supplicant, everything works fine.

ryuhayabusa (ppandpupu) wrote :

atheros ar5212 running ath5k on ibm r31 2.6.27-11-generic.

able to connect to home wep and wpa-psk network

unable to connect to WPA-PEAP-TKIP MSCHAPV2 network at university.

Network-manager keeps popping up the window at me.

 wlan0 IEEE 802.11bg ESSID:"uniwide"
          Mode:Managed Frequency:2.412 GHz Access Point: 00:1E:4A:32:9D:11
          Bit Rate=1 Mb/s Tx-Power=27 dBm
          Retry min limit:7 RTS thr:off Fragment thr=2352 B
          Power Management:off
          Link Quality=28/100 Signal level:-83 dBm Noise level=-93 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:0 Invalid misc:0 Missed beacon:0

  *-network
       description: AR5001-0000-0000
       product: Wireless LAN Reference Card
       vendor: Atheros Communications, Inc.
       physical id: 0
       version: 00
       slot: Socket 0
       resources: irq:11
  *-network
       description: Wireless interface
       product: AR5212/AR5213 Multiprotocol MAC/baseband processor
       vendor: Atheros Communications Inc.
       physical id: 1
       bus info: pci@0000:02:00.0
       logical name: wmaster0
       version: 01
       serial: 00:17:9a:02:5d:9e
       width: 32 bits
       clock: 33MHz
       capabilities: pm bus_master cap_list logical ethernet physical wireless
       configuration: broadcast=yes driver=ath5k latency=168 maxlatency=28 mingnt=10 module=ath5k multicast=yes wireless=IEEE 802.11bg

Scott Ringwelski (sgringwe) wrote :

i also cannot connect on wpa-personal tkip on jaunty

Rich (stantonrj) wrote :

I found that Jaunty fixed my issues & I can now connect to my AP in WPA2 mode.

pludov (pludov) wrote :

I encoutered exactly the same problem as Michele Nasti (see above : 2008-11-24).
The initial association with the WPA APworks fine but after some time the laptop loose connectivity and the is no way to reconnect to the AP. (authentication timedout). At this point, only a restart of the AP would make things work again.

I solved this problem by disabling "protected Mode" in the router configuration. Router is a belkin 54g.
The protected mode is described as :

"As part of the 802.11g specification, Protected mode ensures proper operation of 802.11g clients and access points when there is heavy 802.11b traffic in the operating environment. When protected mode is ON, 802.11g scans for other wireless network traffic before it transmits data. Therefore, using this mode in environments with HEAVY 802.11b traffic or interference achieves best performance results. If you are in an environment with very little--or no--other wireless network traffic, your best performance will be achieved with Protected mode OFF."

This problems seems not related to authentication, since I reproduced it with WEP and without any authentication.
The problem also does not occur under windows XP. So I believe there is a driver bug behind this.

Steve Conklin (sconklin) wrote :

This bug is still an issue for some, but it now covers multiple releases and different scenarios, making it difficult to track, If you are still having problems, please open a new bug against your current release. Thank you for your understanding.

Changed in linux (Ubuntu):
status: Confirmed → Won't Fix
Steve Conklin (sconklin) wrote :

This bug is still an issue for some, but it now covers multiple releases and different scenarios, making it difficult to track, If you are still having problems, please open a new bug against your current release. Thank you for your understanding.

Changed in network-manager (Ubuntu):
status: Incomplete → Won't Fix
Displaying first 40 and last 40 comments. View all 130 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.